## touchegg 2.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(touchegg)
set(MAJOR_VERSION "2")
set(MINOR_VERSION "0")
set(PATCH_VERSION "13")
add_definitions(-D_VERSION="v${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake/Modules")

# In debug mode check code style issues
if(CMAKE_BUILD_TYPE MATCHES Debug)
  include(./cmake/check-code-style.cmake)
endif()

find_package(Threads REQUIRED) # Required to use std threads
find_package(LIBUDEV REQUIRED)
find_package(LIBINPUT REQUIRED)
find_package(PUGIXML REQUIRED)
find_package(CAIRO REQUIRED)
find_package(X11 REQUIRED)
find_package(XTEST REQUIRED)
find_package(XRANDR REQUIRED)
find_package(XINPUT REQUIRED)
find_package(GLIB REQUIRED)
find_package(GIO REQUIRED)

# libinput 1.18 filters unaccelerated deltas for gestures and we need to adjust our thresholds:
# https://gitlab.freedesktop.org/libinput/libinput/-/commit/60d5172e15728cc25db889a7a6bcf37a06a15a3a
if(LIBINPUT_VERSION VERSION_GREATER_EQUAL "1.18")
  message(STATUS "Found libinput >= 1.18: LIBINPUT_FILTER_DELTAS=ON")
  add_definitions(-DLIBINPUT_FILTER_DELTAS=ON)
endif()

include_directories(${PROJECT_SOURCE_DIR}/src)
file(GLOB_RECURSE SOURCE_FILES RELATIVE ${PROJECT_SOURCE_DIR} src/*.h src/*.cpp)

add_executable(touchegg ${SOURCE_FILES})
target_include_directories(touchegg PUBLIC
  ${LIBUDEV_INCLUDE_DIRS}
  ${LIBINPUT_INCLUDE_DIRS}
  ${PUGIXML_INCLUDE_DIRS}
  ${CAIRO_INCLUDE_DIRS}
  ${X11_INCLUDE_DIRS}
  ${XTEST_INCLUDE_DIRS}
  ${XRANDR_INCLUDE_DIRS}
  ${XINPUT_INCLUDE_DIRS}
  ${GLIB_INCLUDE_DIRS}
  ${GIO_INCLUDE_DIRS}
)
target_link_libraries(touchegg
  stdc++fs # std::filesystem
  Threads::Threads # std::thread
  ${LIBUDEV_LIBRARIES}
  ${LIBINPUT_LIBRARIES}
  ${PUGIXML_LIBRARIES}
  ${CAIRO_LIBRARIES}
  ${X11_LIBRARIES}
  ${XTEST_LIBRARIES}
  ${XRANDR_LIBRARIES}
  ${XINPUT_LIBRARIES}
  ${GLIB_LIBRARIES}
  ${GIO_LIBRARIES}
)

if(NOT DEFINED AUTO_COLORS OR AUTO_COLORS)
  find_package(GTK3 REQUIRED)
  target_include_directories(touchegg PUBLIC ${GTK3_INCLUDE_DIRS})
  target_link_libraries(touchegg ${GTK3_LIBRARIES})
  add_definitions(-DAUTO_COLORS=ON)
else()
  message(WARNING "AUTO_COLORS OFF: GTK will NOT be used to and auto colors will NOT be available")
endif()


# Installation
# https://cmake.org/cmake/help/v3.4/module/GNUInstallDirs.html
if(CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

include(GNUInstallDirs)

set(SYSTEM_CONFIG_FILE_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/touchegg/touchegg.conf")
target_compile_definitions(touchegg PUBLIC SYSTEM_CONFIG_FILE_PATH=\"${SYSTEM_CONFIG_FILE_PATH}\")

install(FILES ${PROJECT_SOURCE_DIR}/installation/touchegg.conf DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/touchegg) # /usr/share/touchegg/touchegg.conf
install(FILES ${PROJECT_SOURCE_DIR}/installation/touchegg.desktop DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/autostart)
install(PROGRAMS ${PROJECT_BINARY_DIR}/touchegg DESTINATION ${CMAKE_INSTALL_BINDIR}) # /usr/bin/touchegg

if(NOT DEFINED USE_SYSTEMD OR USE_SYSTEMD)
  # configure systemd service unit to use the right path, e.g. @CMAKE_INSTALL_BINDIR@/touchegg
  configure_file(${PROJECT_SOURCE_DIR}/installation/touchegg.service.in ${PROJECT_SOURCE_DIR}/installation/touchegg.service @ONLY)
  pkg_get_variable(SYSTEMD_SERVICE_DIR systemd systemdsystemunitdir)

  install(FILES ${PROJECT_SOURCE_DIR}/installation/touchegg.service DESTINATION ${SYSTEMD_SERVICE_DIR})
else()
  message(WARNING "USE_SYSTEMD OFF: Systemd related file will NOT be installed")
endif()

## touchegg 1.0

=== debian/changelog ===
touchegg (1.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #855491)
    - debian/copyright: Upgrade to GPL-3+
    - debian/rules: The orig tarball is not repacked and use gzip
    - Remove debian/source/options to be consistent with the tarball
    - Remove pkg-kde-tools from deps
    - Remove kubuntu_01_desktopfile_remove_xdg_open.diff

 -- Romain Perier <bambi@ubuntu.com>  Wed, 21 Sep 2011 15:44:04 +0200

touchegg (0.3+repack-0ubuntu2) oneiric; urgency=low

  * Add debian/patches/kubuntu_01_desktopfile_remove_xdg_open.diff:
    Drop the line to exec the desktop file with xdg-open, it's not
    an executable.

 -- Romain Perier <bambi@ubuntu.com>  Wed, 24 Aug 2011 19:28:36 +0200

touchegg (0.3+repack-0ubuntu1) oneiric; urgency=low

  * Initial release:
    - Repack the original tarball to include the COPYING file about licensing

 -- Romain Perier <bambi@ubuntu.com>  Sat, 20 Aug 2011 16:35:55 +0200

=== debian/control ===
Source: touchegg
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev,
 libutouch-geis-dev, libx11-dev, libxtst-dev, libxext-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/touchegg
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/touchegg
Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/touchegg

Package: touchegg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multitouch gesture recognizer
 Touchégg is a cross-platform multitouch gesture recognizer
 that allows associating actions to each gesture.

Package: touchegg-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, touchegg (= ${binary:Version})
Description: debugging symbols for Touchégg
 This package contains debugging files used to investigate problems with
 Touchégg. Install this package if you are experiencing crashes of the
 Touchégg application and wish to report a problem to the developers.

## touchegg 1.1.1

=== debian/changelog ===
touchegg (1.1.1-0ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:45 +0000

touchegg (1.1.1-0ubuntu1) raring; urgency=low

  [ Mitsuya Shibata ]
  * New upstream release (LP: #1059489)
    - Fixed several segv problems:
      LP: #1065673, LP: #856022, LP: #918551
    - Applied geis rename patch.
  * Removed 0001-geis_rename.patch, not needed anymore.

  [ Andrew Starr-Bochicchio ]
  * Add a debian/watch file.
  * Update Format field of debian/copyright to latest spec.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Mon, 17 Dec 2012 23:16:27 +0900

touchegg (1.0-0ubuntu2) quantal; urgency=low

  * Depend on renamed geis package
  * Bump lintian standards version to 3.9.3

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 30 Jul 2012 15:05:54 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), libqt4-dev,
- libutouch-geis-dev, libx11-dev, libxtst-dev, libxext-dev
-Standards-Version: 3.9.2
+ libgeis-dev, libx11-dev, libxtst-dev, libxext-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/touchegg
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/touchegg
 Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/touchegg

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --dbg-package=touchegg-dbg

=== debian/watch ===
version=3
http://code.google.com/p/touchegg/downloads/list?can=1 \
.*/touchegg-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## touchegg 2.0.13

=== debian/changelog ===
touchegg (2.0.13-1~nosystemd~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 01:02:51 -0500

touchegg (2.0.13) focal; urgency=medium

  * Improve pinch detection when the fingers are placed horizontally or vertically
  * Allow to run in multiple X displays
  * Allow to configure the number of times a repeated action is executed

 -- José Expósito <jose.exposito89@gmail.com>  Sat, 08 Jan 2022 12:00:00 +0100

touchegg (2.0.12) focal; urgency=medium

  * Improve pinch gesture detection on touchscreens
  * Honor the XDG basedir specification

 -- José Expósito <jose.exposito89@gmail.com>  Thu, 21 Oct 2021 12:00:00 +0100

touchegg (2.0.11) focal; urgency=medium

  * Allow to display any animation on SEND_KEYS/RUN_COMMAND
  * Add cyclic option to CHANGE_DESKTOP
  * Packages for CentOS (EPEL), Fedora and openSUSE available on COPR

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 05 Jul 2021 12:00:00 +0100

touchegg (2.0.10) focal; urgency=medium

  * Touchscreen: Use touch average to calculate deltas
  * Simplify the build process in distros that don't support systemd
  * libinput 1.18 support: Different deltas depending on libinput version

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 07 Jun 2021 12:00:00 +0100

touchegg (2.0.9) focal; urgency=medium

  * Use screen rotation to calculate touchscreen gestures direction

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 05 Apr 2021 12:00:00 +0100

touchegg (2.0.8) focal; urgency=medium

  * Added daily and stable PPA builds

  * Fix animation when screens ot the same size are arranged vertically
  * Fix crash caused by a g_variant not being referenced
  * Handle the TOUCH_CANCEL event to avoid bugs

 -- José Expósito <jose.exposito89@gmail.com>  Wed, 24 Feb 2021 12:00:00 +0100

touchegg (2.0.7) focal; urgency=medium

  * Improve the logs
  * Fix intermittent affecting some users
  * Release Touché, the GUI to configure Touchégg
  * Improve documentation

 -- José Expósito <jose.exposito89@gmail.com>  Sun, 07 Feb 2021 12:00:00 +0100

touchegg (2.0.6) focal; urgency=medium

  * New action added: "FULLSCREEN_WINDOW"
  * Use D-Bus for daemon-client communication, making easier to write
  clients different languages
  * Animations are pixel-precise at low speeds
  * Make application name case insensitive in config file

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 01 Feb 2021 12:00:00 +0100

touchegg (2.0.5) focal; urgency=medium

  * Allow to cancel non animated gestures when configured to run on end
  * Using unaccelerated deltas and different horizontal and vertical finish
  thresholds for a better user experience

  * Fix crashes when incorrect keys are used on SEND_KEYS
  * Handle devices reporting a size of 0x0 mm
  * Allow to use a symlink as configuration to Dotfiles users
  * Handles window managers that don't set the `_NET_WORKAREA` atom

 -- José Expósito <jose.exposito89@gmail.com>  Tue, 05 Jan 2021 12:00:00 +0100

touchegg (2.0.4) focal; urgency=medium

  * New gesture available for touchscreens: "TAP"
  * New action added: "MOUSE_CLICK"

  * Better multi-monitor support
  * Improve config file watcher

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 07 Dec 2020 12:00:00 +0100

touchegg (2.0.3) focal; urgency=medium

  * Use "auto" with "color" and "borderColor" to use your theme's accent color
  * Use "auto" with "CHANGE_DESKTOP" to follow natural scroll preferences

  * Improve Debian packaging
  * Now Linux distributions shipping Touchégg by default can update your
  configuration easily
  * Improve protocol backward compatibility for third party integrations

 -- José Expósito <jose.exposito89@gmail.com>  Tue, 17 Nov 2020 12:00:00 +0100

touchegg (2.0.2) focal; urgency=medium

  * Touchscreen support. Now you can use PINCH and SWIPE gestures on your
  touchscreen
  * Animations are smoother, even in devices with limited resources like the
  Raspberry Pi 4
  * CHANGE_DESKTOP now allows to use up/down/left/right directions in addition
  to previous/next. Made with love for KDE users
  * Touchégg is added to startup automatically on installation
  * In case you manually added it to startup you don't need to change anything,
  now you can not run multiple instances in parallel by mistake

  * Fix crash when a screen is connected but disabled
  * Fix intermittent crash after editing the configuration file
  * Fix crash when performing a gesture on the root window

 -- José Expósito <jose.exposito89@gmail.com>  Wed, 28 Oct 2020 12:00:00 +0100

touchegg (2.0.1) focal; urgency=medium

  * Fix compilation with latest versions of GCC

 -- José Expósito <jose.exposito89@gmail.com>  Tue, 29 Sep 2020 12:00:00 +0100

touchegg (2.0.0) focal; urgency=medium

  * The Linux desktop has changed a lot since I first released Touchégg back in
  2011.
  This release is a total rewrite of the version 1.x aiming to incorporate the
  new technologies that are available today on the Linux desktop.
  * Add libinput support
  * Add 1:1 animations so your gestures doesn't feel like a "shortcut" anymore
  * Drop the Qt dependency for better compatibility
  * Available gestures: SWIPE and PINCH
  * Available actions: MAXIMIZE_RESTORE_WINDOW, MINIMIZE_WINDOW, TILE_WINDOW,
  CLOSE_WINDOW, CHANGE_DESKTOP, SHOW_DESKTOP, SEND_KEYS and RUN_COMMAND

 -- José Expósito <jose.exposito89@gmail.com>  Sun, 27 Sep 2020 12:00:00 +0100

touchegg (1.1.1-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:03 +0100

touchegg (1.1.1-0ubuntu3) focal; urgency=medium

  * Build with Qt5:
    - debian/patches: Add upstream_build-with-qt5.patch
    - debian/control: Update build dependencies
    - debian/rules: export QT_SELECT := qt5
  * wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2019 12:37:03 +0000

=== debian/control ===
Source: touchegg
Section: misc
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: José Expósito <jose.exposito89@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libc6-dev (>= 2.14),
               libcairo2-dev (>= 1.2.4),
               libgtk-3-dev,
               libinput-dev (>= 0.21.0),
               libpugixml-dev (>= 1.4),
               libudev-dev (>= 183),
               libx11-dev,
               libxi-dev (>= 2:1.7.0),
               libxrandr-dev (>= 2:1.2.0),
               libxtst-dev
Standards-Version: 4.5.0
Homepage: https://github.com/JoseExposito/touchegg
Vcs-Browser: https://github.com/JoseExposito/touchegg
Vcs-Git: https://github.com/JoseExposito/touchegg.git

Package: touchegg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, touche
Description: Multi-touch gesture recognizer
 Touchégg is an app that runs in the background and transform the gestures you
 make in your touchpad into visible actions in your desktop.
 For example, you can swipe up with 3 fingers to maximize a window or swipe left
 with 4 finger to switch to the next desktop.
 .
 This version is built with -DUSE_SYSTEMD=OFF.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DUSE_SYSTEMD=OFF

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## touchegg 2.0.16%2Bfaye

=== debian/changelog ===
touchegg (2.0.16+faye) focal; urgency=medium

  * Do not use abstract socket on BSD
  * Fix compilation error on GCC 13

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 06 Feb 2023 12:00:00 +0100

touchegg (2.0.15) focal; urgency=medium

  * Add TOUCHEGG_DEVICE_TYPE environment variable to RUN_COMMAND
  * Remove Firefox from the default config, it supports native gestures

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 14 Nov 2022 12:00:00 +0100

touchegg (2.0.14) focal; urgency=medium

  * New COPR URL: https://copr.fedorainfracloud.org/coprs/joseexposito/touchegg/
  * Performance improvements calculating the size of the animations
  * Fix crash that might happen when multiple input devices are added and removed

 -- José Expósito <jose.exposito89@gmail.com>  Sat, 02 Apr 2022 12:00:00 +0100

## touchegg 2.0.16+victoria

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(touchegg)
 set(MAJOR_VERSION "2")
 set(MINOR_VERSION "0")
-set(PATCH_VERSION "13")
+set(PATCH_VERSION "16")
 add_definitions(-D_VERSION="v${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
touchegg (2.0.16+victoria) focal; urgency=medium

  * Do not use abstract socket on BSD
  * Fix compilation error on GCC 13

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 06 Feb 2023 12:00:00 +0100

## touchegg 2.0.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(touchegg)
 set(MAJOR_VERSION "2")
 set(MINOR_VERSION "0")
-set(PATCH_VERSION "16")
+set(PATCH_VERSION "17")
 add_definitions(-D_VERSION="v${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 set(CMAKE_CXX_STANDARD 17)

=== .copr/Makefile ===
outdir  ?= $(HOME)/rpmbuild

.PHONY: srpm
srpm:
	dnf install -y git
	mkdir -p $(outdir)/{RPMS,SRPMS,BUILD,SOURCES,SPECS}
	tar -czvf $(outdir)/SOURCES/touchegg.tar.gz -C .. touchegg --transform s/^touchegg/touchegg-$$(git describe --tags --abbrev=0)/
	rpmbuild -D'_topdir $(outdir)' -D'_srcrpmdir $(outdir)' -bs rpm/touchegg.spec

=== debian/changelog ===
touchegg (2.0.17-1mx23) mx; urgency=medium

  * Rebuild for MX Linux
  * Switch to 3.0 (quilt) source format

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Dec 2024 21:20:05 -0800

touchegg (2.0.17) focal; urgency=medium

  * Upgrade the target Debian version on CI

 -- José Expósito <jose.exposito89@gmail.com>  Sun, 13 Aug 2023 12:00:00 +0100

touchegg (2.0.16) focal; urgency=medium

  * Do not use abstract socket on BSD
  * Fix compilation error on GCC 13

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 06 Feb 2023 12:00:00 +0100

=== debian/control ===
Source: touchegg
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: José Expósito <jose.exposito89@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libcairo2-dev (>= 1.2.4),
               libgtk-3-dev,
               libinput-dev (>= 0.21.0),
               libpugixml-dev (>= 1.4),
               libudev-dev (>= 183),
               libx11-dev,
               libxi-dev (>= 2:1.7.0),
               libxrandr-dev (>= 2:1.2.0),
               libxtst-dev,
               systemd | libsystemd-dev
Standards-Version: 4.5.0
Homepage: https://github.com/JoseExposito/touchegg
Vcs-Browser: https://github.com/JoseExposito/touchegg
Vcs-Git: https://github.com/JoseExposito/touchegg.git

Package: touchegg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-touch gesture recognizer
 Touchégg is an app that runs in the background and transform the gestures you
 make in your touchpad into visible actions in your desktop.
 For example, you can swipe up with 3 fingers to maximize a window or swipe
 left with 4 fingers to switch to the next desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
                         -DCMAKE_INSTALL_PREFIX=/usr

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## touchegg 2.0.17+parrot1

=== debian/changelog ===
touchegg (2.0.17+parrot1) lory; urgency=medium

  * New Parrot release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 24 Jan 2024 22:12:07 +0100

## touchegg 2.0.18+gigi

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.10.0)
 
 project(touchegg)
 set(MAJOR_VERSION "2")
 set(MINOR_VERSION "0")
-set(PATCH_VERSION "17")
+set(PATCH_VERSION "18")
 add_definitions(-D_VERSION="v${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
touchegg (2.0.18+gigi) focal; urgency=medium

  * Allow to execute actions on gesture begin and end

 -- José Expósito <jose.exposito89@gmail.com>  Sat, 24 May 2025 12:00:00 +0100

=== debian/control ===
Source: touchegg
Section: misc
Priority: optional
Maintainer: José Expósito <jose.exposito89@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libc6-dev (>= 2.14),
               libcairo2-dev (>= 1.2.4),
               libgtk-3-dev,
               libinput-dev (>= 0.21.0),
               libpugixml-dev (>= 1.4),
               libudev-dev (>= 183),
               libx11-dev,
               libxi-dev (>= 2:1.7.0),
               libxrandr-dev (>= 2:1.2.0),
               libxtst-dev,
               systemd-dev
Standards-Version: 4.5.0
Homepage: https://github.com/JoseExposito/touchegg
Vcs-Browser: https://github.com/JoseExposito/touchegg
Vcs-Git: https://github.com/JoseExposito/touchegg.git

Package: touchegg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-touch gesture recognizer
 Touchégg is an app that runs in the background and transform the gestures you
 make in your touchpad into visible actions in your desktop.
 For example, you can swipe up with 3 fingers to maximize a window or swipe left
 with 4 finger to switch to the next desktop.
